Subject: Re: bug#27229: eldoc wrong highlighting for "when"

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 04 May 2022 09:46:32 +0200

Eli Zaretskii <[email-masked]> writes:

> I'm not worried too much about these two, I'm more worried about the
> ability to use the advertised-signature feature in general.

There is no general case here -- the advertised convention in these two
cases were with all the other macros that have this signature, and
removed information to boot.

>> Like I said, if we want to change how we present &rest body to the
>> users, then we should do so for all of these macros, and not just two.
>
> What about if I want to change that only for a specific case, not in
> general?  Is this now "verboten"?

Not if the advertised convention is an improvement.  It wasn't here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no